Affiliate Payment Request
Create a payment request on behalf of an affiliate
POST https://platform.shoffi.app/API/affiliate/requestPayment
You can use this API to let affiliates request payments directly from your app or website if they have already earned more than the minimum withdrawal amount.
Request Body
Name
Type
Description
apiKey*
String
Your Shoffi API Key (Integrations → API Key)
appId*
Integer
Your app ID
paypalEmail*
String
The PayPal email account of the affiliate
email*
String
The affiliate email address
{
"affiliateNewTerms": {
"revenueShare": 50,
"cpi": 10,
"limitPeriod": 24,
"minWithdrawal": 50
}
}{
"status": 400,
"message": "Error details"
}curl -X POST 'https://platform.shoffi.app/API/affiliate/requestPayment' \
-H 'Content-Type: application/json' \
-d '{
"apiKey": "YourKey",
"appId": 00000000,
"affiliateDetails": {
"email": "[email protected]",
"paypalEmail": "[email protected]"
}
}'Response example
Last updated